Subject: RE: OREKOYA REPAIR ESTIMATE ON MUS 605 HS==68246.
From: Ayo Joseph <[email-masked]>
To: Folashade Odutola <[email-masked]>
Cc: Michael Orimolade <[email-masked]>, Matthew Okesanya <[email-masked]>, Robert Iyade <[email-masked]>, Okoroafor Igwe <[email-masked]>, Emmanuel Nwachukwu <[email-masked]>, Raphael Peter <[email-masked]>, Precious Lawal <[email-masked]>
Date: Fri, 27 Mar 2026 06:19:26 +0000

NGN35,500, approved for processing.

W/Na

OREKOYA

V/Ma

TOYOTA COROLLA

V/No

MUS 605 HS

JO

68246

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

Control

1

Engine oil

40,000

27,500

27,500

2

Oil filter

4,000

3,000

3,000

3

Labor

10,000

5,000

5,000

4

TOTAL

54,000

35,500

35,500

Regards
Ayo Joseph
Risk and Control. Northen Region / C&I Leasing Plc | 2nd Floor Nigeria Reinsurance Building |Plot 784A, Beside Unity Bank Herbert Macauley Way |Central Business District Abuja.
09037793364 | [email-masked]<mailto:[email-masked]>   | www.c-ileasing.com<http://www.cileasing.com/>
[A white square with green and yellow logo  Description automatically generated]

From: Folashade Odutola <[email-masked]>
Sent: Tuesday, 24 March 2026 15:05
To: Emmanuel Nwachukwu <[email-masked]>; Raphael Peter <[email-masked]>; Ayo Joseph <[email-masked]>
Cc: Michael Orimolade <[email-masked]>; Matthew Okesanya <[email-masked]>; Robert Iyade <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: OREKOYA REPAIR ESTIMATE ON MUS 605 HS==68246.

Dear @Ayo Joseph<mailto:[email-masked]>
Kindly approve

[Best Regards" Images - Browse 179 Stock ...]

Afolasade Odutola

Team Lead Maintenance South-west | Hertz/C&I Fleet Management |Leasing House|Leasing Drive, Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

Contact :09062488013

Whatsapp:08056799122

Email :| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

W/Na

OREKOYA

V/Ma

TOYOTA COROLLA

V/No

MUS 605 HS

JO

68246

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

Control

1

Engine oil

40,000

27,500

2

Oil filter

4,000

3,000

3

Labor

10,000

5,000

4

TOTAL

54,000

35,500

Emmanuel Nwachukwu

Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09062533943, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Sent: Friday, February 27, 2026 4:10 PM
To: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Matthew Okesanya <[email-masked]<mailto:[email-masked]>>
Subject: RE: OREKOYA REPAIR ESTIMATE ON MUS 605 HS==68246.

NGN 35,000.

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>
Sent: Friday, 27 February 2026 15:52
To: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Cc: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Matthew Okesanya <[email-masked]<mailto:[email-masked]>>
Subject: OREKOYA REPAIR ESTIMATE ON MUS 605 HS==68246.

Dear Igwe,

Kindly review and approve.

W/Na

OREKOYA

V/Ma

TOYOTA COROLLA

V/No

MUS 605 HS

JO

68246

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

Control

1

Engine oil

40,000

27,500

2

Oil filter

4,000

3,000

3

Labor

10,000

5,000

4

TOTAL

54,000

35,500

Emmanuel Nwachukwu

Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09062533943, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]